Commit c805b150 authored by YunQiang Su's avatar YunQiang Su

build with python3; add python3-gi to depends

parent 92e06155
ibus-libpinyin (1.7.3-3) unstable; urgency=medium
* Team upload.
* add python3-gi to depends. (Closes: #785070)
[Matthias Klose]
* Build with Python3 instead of Python2.
(Closes: #883631, #883655, #883669)
-- YunQiang Su <syq@debian.org> Wed, 13 Dec 2017 20:40:58 +0800
ibus-libpinyin (1.7.3-2) unstable; urgency=medium ibus-libpinyin (1.7.3-2) unstable; urgency=medium
* Team upload to unstable * Team upload to unstable
......
...@@ -17,7 +17,7 @@ Build-Depends: debhelper (>= 9), ...@@ -17,7 +17,7 @@ Build-Depends: debhelper (>= 9),
libpinyin7-dev (>= 1.2.91), libpinyin7-dev (>= 1.2.91),
libsqlite3-dev, libsqlite3-dev,
libtool, libtool,
python, python3,
sqlite3, sqlite3,
uuid-dev uuid-dev
Standards-Version: 3.9.6 Standards-Version: 3.9.6
...@@ -27,7 +27,7 @@ Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ime/ibus-libpinyin.git ...@@ -27,7 +27,7 @@ Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ime/ibus-libpinyin.git
Package: ibus-libpinyin Package: ibus-libpinyin
Architecture: any Architecture: any
Depends: ibus, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends} Depends: ibus, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-gi
Description: Intelligent Pinyin engine based on libpinyin for IBus Description: Intelligent Pinyin engine based on libpinyin for IBus
It includes a Chinese Pinyin input method and a Chinese ZhuYin (Bopomofo) It includes a Chinese Pinyin input method and a Chinese ZhuYin (Bopomofo)
input method based on libpinyin for IBus. input method based on libpinyin for IBus.
...@@ -12,11 +12,11 @@ export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) ...@@ -12,11 +12,11 @@ export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export NOCONFIGURE=yes export NOCONFIGURE=yes
%: %:
dh $@ --with autoreconf,python2 dh $@ --with autoreconf,python3
override_dh_autoreconf: override_dh_autoreconf:
dh_autoreconf ./autogen.sh dh_autoreconf ./autogen.sh
override_dh_auto_configure: override_dh_auto_configure:
dh_auto_configure -- --libexecdir=/usr/lib/ibus dh_auto_configure -- --libexecdir=/usr/lib/ibus --with-python=/usr/bin/python3
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment